> ## Documentation Index
> Fetch the complete documentation index at: https://vida.io/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Named Version

> Snapshot the current staging or default agent and store it under a custom title.



## OpenAPI

````yaml post /api/v2/agent/{agentId}/versions
openapi: 3.0.0
info:
  version: 2.0.0
  title: Vida API
  description: Vida API Documentation
servers:
  - url: https://api.vida.dev
    description: Vida Production
    variables:
      baseUrl:
        default: api.vida.dev
        description: Production API Root
security: []
paths:
  /api/v2/agent/{agentId}/versions:
    post:
      tags:
        - Agents
      summary: Create Named Version
      description: >-
        Snapshot the current staging or default agent and store it under a
        custom title.
      parameters:
        - name: agentId
          in: path
          required: true
          schema:
            type: string
          description: Agent Id to snapshot
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - title
              properties:
                title:
                  type: string
                  example: Holiday-2025
                source:
                  type: string
                  enum:
                    - staging
                    - default
                  default: staging
      responses:
        '201':
          description: Snapshot stored
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: true
                  createdVersion:
                    type: object
                    properties:
                      title:
                        type: string
                        example: Holiday-2025
                      versionId:
                        type: integer
                        example: 1750195000123
      security:
        - apiKeyAuth: []
components:
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: query
      name: token
      description: Vida API Token

````